> For the complete documentation index, see [llms.txt](https://docs-old.telematicssdk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-old.telematicssdk.com/user-statistics-and-analytics/processed-data/get-a-short-list-of-tracks.md).

# Get a short list of tracks

{% hint style="info" %}
All tracks in responses are sorted **descending**.
{% endhint %}

{% hint style="warning" %}
**"updateDate"** can be changed while processing a track by our platform.\
\
Our mobile SDK sends tracks to server, when recording is finished. It may record some part of a trip. It may send this part of the trip to server. Then it may detect movement again and start recording again.The second part will be sent to server later. SDK sends trips only when internet connection is stable. So, it can finish recording, save this part of trip in cache and send it for example only next day, when a good internet connection.\
\
If this happens, our platform merges this tracks into one and changes **updateDate** field value.
{% endhint %}

## Get all tracks

<mark style="color:blue;">`GET`</mark> `https://mobilesdk.telematicssdk.com/mobilesdk/stage/track/get_short_list/v1`

Returns all user tracks from very beginning\
\
**Authorization:** DeviceToken in Header

#### Headers

| Name        | Type   | Description        |
| ----------- | ------ | ------------------ |
| DeviceToken | string | DeviceToken (GUID) |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": {
    "ShortTrackList": [
      {
        "TrackToken": "2411ab6a-6482-4d8b-ab58-57096b930d39",
        "DateUpdated": "2018-09-13T23:00:03+03:00"
      },
      {
        "TrackToken": "19097c57-6420-4bbc-aee1-2cv70ce18aa0",
        "DateUpdated": "2018-06-29T17:20:32+03:00"
      }
      ...
    ],
    "Code": 200
  }
}
```

{% endtab %}
{% endtabs %}

## Get tracks by page

<mark style="color:blue;">`GET`</mark> `https://mobilesdk.telematicssdk.com/mobilesdk/stage/track/get_short_list_page/v1`

**Authorization:** DeviceToken in Header

#### Query Parameters

| Name  | Type   | Description               |
| ----- | ------ | ------------------------- |
| Page  | string | № of page                 |
| Count | string | Number of tracks per page |

#### Headers

| Name        | Type   | Description        |
| ----------- | ------ | ------------------ |
| DeviceToken | string | DeviceToken (GUID) |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": {
    "ShortTrackList": [
      {
        "TrackToken": "2411ab6a-6482-4d8b-ab58-57096b930d39",
        "DateUpdated": "2018-09-13T23:00:03+03:00"
      },
      {
        "TrackToken": "19097c57-6420-4bbc-aee1-2cv70ce18aa0",
        "DateUpdated": "2018-06-29T17:20:32+03:00"
      }
      ...
    ],
    "Code": 200
  }
}
```

{% endtab %}
{% endtabs %}

## Get tracks from specified date

<mark style="color:blue;">`GET`</mark> `https://mobilesdk.telematicssdk.com/mobilesdk/stage/track/get_short_list_from_date/v1`

**Authorization:** DeviceToken in Header

#### Query Parameters

| Name     | Type   | Description               |
| -------- | ------ | ------------------------- |
| fromDate | string | 2019-08-13T23:01:03+03:00 |

#### Headers

| Name        | Type   | Description        |
| ----------- | ------ | ------------------ |
| DeviceToken | string | DeviceToken (GUID) |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": {
    "ShortTrackList": [
      {
        "TrackToken": "2411ab6a-6482-4d8b-ab58-57096b930d39",
        "DateUpdated": "2018-09-13T23:00:03+03:00"
      },
      {
        "TrackToken": "19097c57-6420-4bbc-aee1-2cv70ce18aa0",
        "DateUpdated": "2018-06-29T17:20:32+03:00"
      }
      ...
    ],
    "Code": 200
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-old.telematicssdk.com/user-statistics-and-analytics/processed-data/get-a-short-list-of-tracks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
